Results 1 to 2 of 2

Thread: Fail on updating or removing Openoffice 2.4

  1. #1
    tkitzky NNTP User

    Default Fail on updating or removing Openoffice 2.4


    Hello... I'm at my wits end here. I'm one step away from "rm -Rf" and
    deleting Openoffice 2.4 wherever I can find it on sda1.

    I have a relatively fresh install of openSuse 11.0 x86_64 with Gnome. I
    ran into trouble with a system update to Openoffice 2.4. I was going to
    install 3.0 sooner or later, but decided to update 2.4 anyway. The
    update failed with various errors similar to below...

    [-S-I-Z-E-=-\-"-2-\-"-]-P-r-p-m-d-b-:- -P-A-N-I-C-:- -f-a-t-a-l-
    -r-e-g-i-o-n- -e-r-r-o-r- -d-e-t-e-c-t-e-d-;- -r-u-n-
    -r-e-c-o-v-e-r-y--
    -e-r-r-o-r-:- -d-b-4- -e-r-r-o-r-(---3-0-9-7-7-)- -f-r-o-m-
    -d-b--->-c-l-o-s-e-:- -D-B-_-R-U-N-R-E-C-O-V-E-R-Y-:- -F-a-t-a-l-
    -e-r-r-o-r-,- -r-u-n- -d-a-t-a-b-a-s-e- -r-e-c-o-v-e-r-y-[/SIZE]

    I have tried updating and then eventually removing all Openoffice
    packages I could find. Some packages uninstalled with Yast, but the base
    Openoffice_org pkg remains. I get the panic error in any package manager
    I try. I've tried yast, smart, zypper... both from gnome and from a
    terminal session... no luck.

    Any ideas? Thanks in advance for any suggestions.


    --
    tkitzky
    ------------------------------------------------------------------------
    tkitzky's Profile: http://forums.opensuse.org/member.php?userid=16880
    View this thread: http://forums.opensuse.org/showthread.php?t=401491


  2. #2
    caf4926 NNTP User

    Default Re: Fail on updating or removing Openoffice 2.4


    You don't need to remove 2 to install 3

    Do this in a terminal as su:

    zypper refresh

    rpmdb --rebuilddb
    ============================
    Now open Yast software management and install OOffice
    finish
    =======================================
    Now add this repo:
    'Index of /repositories/OpenOffice.org:/STABLE/openSUSE_11.0'
    (http://tinyurl.com/6mwpsr)

    In Yast software management
    filter by repo
    update all in the newly added repo for OOffice

    You now have OO 3


    --
    Box: Linux 2.6.25.18-0.2 x86_64 | OS 11.0 | (KDE4.1.82) "3.1" | M2N4-SLI
    | AMD 64 X2 5200+ | nVidia 8500GT | 2GB RAM
    Lap: OS 11.0 | Celeron 550 | (KDE 4.1.82 "release 3.1" | Intel 965 GM |
    Lenovo R61e | 1GB RAM
    ------------------------------------------------------------------------
    caf4926's Profile: http://forums.opensuse.org/member.php?userid=204
    View this thread: http://forums.opensuse.org/showthread.php?t=401491


Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •